Permalänk
Medlem

installera lua

Hejsan

Försökte idag emulera stepmania med cedega, men de gick inge vidare... så jag gick in på stepmanias hemsida för att kolla om det fanns även till ,linux, vilket det gjorde ( )
efter att jag skrev ./configure så stod det att det inte fanns någon make-fil. så kollade vad som gått galet, då var det några packages som fattades... installerade dem och det gick ganska smärtfritt tills det i slutet igen stog att det fattades packages..

*** liblua is required to build StepMania; please make sure that *** it is installed to continue the installation process.

jaha, tänkte jag, gick in på lua.org och tankade ner senaste lua libbet... men får fortfarande samma felmeddelnade... har försökt tanka från andra sidor med, men samma resultat...

här kommer även exakt vilka packages som fattades..

checking for lua-config50... no checking for lua-config... no checking for lua_open in -llua... no checking for lua_open in -llua50... no checking for luaopen_base in -llualib... no checking for luaopen_base in -llualib50... no

Vad ska jag göra ? Vore väldigt tacksam om någon vänlig själ kunde hjälpa mig
har inte kört linux så länge, några månader nu... SuSE 10.2, om de kan vara till någon hjälp.

Permalänk
Medlem

har du tittat i pakethanteraren?

Permalänk
Medlem

ja.

Permalänk
Medlem

stepmania ska väll funka i linux utan wine eller likannde ?.

Permalänk
Medlem

det var det han sa, han dehöver bara LUA-script biblioteken... (liblua*)

Permalänk
Medlem

i slackware 11.0 så funkade det på en gång. men jag kommer ihåg att jag behövde instalera
liblua när jag använde slackware 10.2 och kommer inte ihåg att jag hadde något problem. har du kört ldconfig ?

Permalänk
Hedersmedlem

Det finns en binär, så du slipper kompilera.

Permalänk
Medlem
Citat:

Ursprungligen inskrivet av oggy_
har du kört ldconfig ? [/B]

Nej, det har jag inte gjort.. .. menar du så man ser alla libraries som man har ?

såhär? sbin/ldconfig -v

e lite newbie, så skratta inte åt mig

Permalänk
Medlem

nä så du uppdaterar din librarie list. skriv bara ldconfig

Permalänk

Installerade du Lua då? Som jag läste det laddade du bara ner Lua.

Permalänk
Medlem

Ja, jag installerade lua (formulerade mig dåligt förut)...
gjorde som det stog i install filen ... så dum är jag faktist inte
oggy: jag testade att bara skriva ldconfig, men fick upp att det ej var ett giltigt kommando... =/

Permalänk

Ok ok. Körde du ldconfig som root då?